using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using Rhino.Mocks;
using System.Web.Mvc;

namespace Rarous.Gryphoon.Spec {
  public class TestViewFactory : IViewFactory {

    public TestView View {
      get;
      set;
    }

    #region IViewFactory Members

    public IView CreateView(ControllerContext controllerContext, string viewName, string masterName, object viewData) {
      View = new TestView();
      View.Name = viewName;
      View.MasterName = masterName;
      View.ViewData = viewData;

      return View;
    }

    #endregion
  }
}
