﻿using System;

namespace Rarous.Gryphoon {
  public class Article {

    /// <summary>
    /// Vrací nebo nastavuje Id článku.
    /// </summary>
    public int Id {
      get;
      set;
    }

    /// <summary>
    /// Vrací nebo nastavuje nadpis článku.
    /// </summary>
    public string Name {
      get;
      set;
    }

    /// <summary>
    /// Vrací nebo nastavuje perex článku.
    /// </summary>
    public string Perex {
      get;
      set;
    }

    /// <summary>
    /// Vrací nebo nastavuje text článku.
    /// </summary>
    public string Text {
      get;
      set;
    }

    /// <summary>
    /// Vrací nebo nastavuje URL adresu článku.
    /// </summary>
    public string Url {
      get;
      set;
    }
    
    /// <summary>
    /// Vrací nebo nastavuje HTML kód článku.
    /// </summary>
    public string Html {
      get;
      set;
    }
  }
}
