﻿using System;
namespace Rarous.Gryphoon.Validators {
  /// <summary>
  /// Rozhranní validátoru.
  /// </summary>
  /// <typeparam name="T">Typ validovaného objektu.</typeparam>
  public interface IValidator<T> {
    /// <summary>
    /// Zvaliduje objekt.
    /// </summary>
    /// <param name="target">Validovaný objekt.</param>
    /// <returns>Vrací <c>true</c> pokud je objekt validní, jinak vrací <c>false</c>.</returns>
    bool Validate(T target);
  }
}
