﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rarous.Gryphoon {
  /// <summary>
  /// Třída reprezentující komentář k článku.
  /// </summary>
  public class Comment {

    /// <summary>
    /// Vrací nebo nastavuje článek, ke kterému komentář patří.
    /// </summary>
    public Article Article {
      get;
      set;
    }

    /// <summary>
    /// Vrací nebo nastavuje text komentáře.
    /// </summary>
    public string Text {
      get;
      set;
    }

    /// <summary>
    /// Vrací nebo nastavuje HTML komentáře.
    /// </summary>
    public string Html {
      get;
      set;
    }
  }
}
